import { h } from '@stencil/core';
export class IonSqwkBackButton {
    async componentDidLoad() {
        history.pushState({ modal: true }, null);
    }
    async handleHardwareBackbutton(_e) {
        await this.closeModal();
    }
    async closeModal() {
        await this.el.closest('ion-modal').dismiss();
    }
    render() {
        return (h("div", null));
    }
    static get is() { return "sqwk-ion-back-button"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() { return {
        "$": ["sqwk-ion-back-button.css"]
    }; }
    static get styleUrls() { return {
        "$": ["sqwk-ion-back-button.css"]
    }; }
    static get elementRef() { return "el"; }
    static get listeners() { return [{
            "name": "popstate",
            "method": "handleHardwareBackbutton",
            "target": "window",
            "capture": false,
            "passive": false
        }]; }
}
