import { r as registerInstance, h, g as getElement } from './sqwk-ion-back-button-eb95dd43.js';

class IonSqwkBackButton {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    async componentDidLoad() {
        history.pushState({ modal: true }, null);
    }
    async handleHardwareBackbutton(_e) {
        await this.closeModal();
    }
    async closeModal() {
        await this.el.closest('ion-modal').dismiss();
    }
    render() {
        return (h("div", null));
    }
    get el() { return getElement(this); }
    static get style() { return ""; }
}

export { IonSqwkBackButton as sqwk_ion_back_button };
